


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: CreateCompanyCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: CreateCompanyCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">CreateCompanyCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 11)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.AdministratorService;
<i>6</i>&nbsp;
<i>7</i>&nbsp;import java.util.Set;
<i>8</i>&nbsp;
<i>9</i>&nbsp;public class CreateCompanyCommand implements Command {
<i>10</i>&nbsp;    private final AdministratorService administratorService;
<i>11</i>&nbsp;    private final ApplicationContext applicationContext;
<i>12</i>&nbsp;
<b class="nc"><i>13</i>&nbsp;    public CreateCompanyCommand(AdministratorService administratorService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>14</i>&nbsp;        this.administratorService = administratorService;</b>
<b class="nc"><i>15</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>16</i>&nbsp;    }</b>
<i>17</i>&nbsp;
<i>18</i>&nbsp;    @Override
<i>19</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>20</i>&nbsp;        return &quot;Create a company using parameters:\n-n for name\nExample for usage:\ncreate-company -n \&quot;Softwarehuset\&quot;&quot;;</b>
<i>21</i>&nbsp;    }
<i>22</i>&nbsp;
<i>23</i>&nbsp;    @Override
<i>24</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>25</i>&nbsp;        return &quot;create-company&quot;;</b>
<i>26</i>&nbsp;    }
<i>27</i>&nbsp;
<i>28</i>&nbsp;    @Override
<i>29</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>30</i>&nbsp;        return CommandGroup.ADMIN;</b>
<i>31</i>&nbsp;    }
<i>32</i>&nbsp;
<i>33</i>&nbsp;    @Override
<i>34</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>35</i>&nbsp;        return Utils.newHashSet(</b>
<i>36</i>&nbsp;                new Parameter(&quot;n&quot;)
<i>37</i>&nbsp;        );
<i>38</i>&nbsp;    }
<i>39</i>&nbsp;
<i>40</i>&nbsp;    @Override
<i>41</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>42</i>&nbsp;        administratorService.createCompany(parsedCommand.get(&quot;n&quot;), applicationContext.getUserContextOrThrow());</b>
<b class="nc"><i>43</i>&nbsp;        System.out.println(&quot;The company was created successfully&quot;);</b>
<b class="nc"><i>44</i>&nbsp;    }</b>
<i>45</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
